﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections;
using System.Web.Script.Serialization;
using System.Text;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_PreRender(object sender, EventArgs e)
    {
        SerializeControlProperties();
    }

    protected void SerializeControlProperties()
    {
        Dictionary<string, string> control;
        List<Dictionary<string, string>> controlsCollection = new List<Dictionary<string,string>>();;
        RadAjaxPanel1.Controls.OfType<TextBox>().Select
            (
                t =>
                {
                    control = new Dictionary<string, string>();
                    control["ID"] = t.ClientID;
                    control["Value"] = t.Text;                   
                    controlsCollection.Add(control);
                    return controlsCollection;
                }
                ).Count();
        StringBuilder json = new StringBuilder();
        JavaScriptSerializer jss = new JavaScriptSerializer();
        jss.Serialize(controlsCollection, json);
        json.Insert(0, "var controls = ");
        json.Append(";");

        ScriptManager.RegisterClientScriptBlock(this.Page, typeof(Page), "MyKey", json.ToString(), true);
    }

    protected void Submit_Click(object sender, EventArgs e)
    {
        //Do some work here      
    }
}
